ru.bitel.bgbilling.modules.tv.runtime

## Class TvAccountRuntimeRoot

- java.lang.Object
- - ru.bitel.bgbilling.modules.tv.runtime.TvAccountRuntime
  - - ru.bitel.bgbilling.modules.tv.runtime.TvAccountRuntimeRoot

-     public class TvAccountRuntimeRoot
      extends TvAccountRuntime

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Set<java.lang.Integer>` | `tvOptions`
    `long` | `tvOptionsMillis`

    - ### Fields inherited from class ru.bitel.bgbilling.modules.tv.runtime.TvAccountRuntime

      `tvAccountId, tvAccountSpecRef`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime` | `getContractRuntime()`
    `ru.bitel.oss.systems.inventory.product.server.ProductPeriodRuntimeList` | `getProductPeriodRuntimeList()`
    `ProductRuntimeList` | `getProductRuntimeList()`
    `ServiceRuntimeList` | `getServiceRuntimeList()`
    `ru.bitel.bgbilling.kernel.tariff.tree.server.TariffModuleTreeSet` | `getTariffTreeSet()`
    `boolean` | `isHeldByCurrentThread()`
    `void` | `lock()`
    `boolean` | `processOptionsModified(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, int moduleId, long now, java.util.Set<java.lang.Integer> tvOptions)`
    `void` | `setProductPeriodRuntimeList(ru.bitel.oss.systems.inventory.product.server.ProductPeriodRuntimeList productPeriodRuntimeList)`
    `void` | `setServiceRuntimeList(ServiceRuntimeList serviceRuntimeList)`
    `void` | `setTariffTreeSet(ru.bitel.bgbilling.kernel.tariff.tree.server.TariffModuleTreeSet tariffTreeSet)`
    `java.lang.String` | `toString()`
    `boolean` | `tryLock()`
    `boolean` | `tryLock(long timeout, java.util.concurrent.TimeUnit unit)`
    `void` | `unlock()`

    - ### Methods inherited from class ru.bitel.bgbilling.modules.tv.runtime.TvAccountRuntime

      `getConfig, getContractSuspendPeriods, getDateFromMillis, getDateToMillis, getParentTvAccount, getParentTvAccountRuntime, getTvAccount, setDateFromMillis, setDateToMillis, setDeviceStateAndOptionIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### tvOptions

          public java.util.Set<java.lang.Integer> tvOptions

    - #### tvOptionsMillis

          public long tvOptionsMillis

  - ### Method Detail

    - #### getContractRuntime

          public ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime getContractRuntime()

      Specified by:
        `getContractRuntime` in class `TvAccountRuntime`

    - #### getTariffTreeSet

          public ru.bitel.bgbilling.kernel.tariff.tree.server.TariffModuleTreeSet getTariffTreeSet()

      Specified by:
        `getTariffTreeSet` in class `TvAccountRuntime`

    - #### setTariffTreeSet

          public void setTariffTreeSet(ru.bitel.bgbilling.kernel.tariff.tree.server.TariffModuleTreeSet tariffTreeSet)

    - #### getProductRuntimeList

          public ProductRuntimeList getProductRuntimeList()

      Specified by:
        `getProductRuntimeList` in class `TvAccountRuntime`

    - #### getProductPeriodRuntimeList

          public ru.bitel.oss.systems.inventory.product.server.ProductPeriodRuntimeList getProductPeriodRuntimeList()

      Specified by:
        `getProductPeriodRuntimeList` in class `TvAccountRuntime`

    - #### setProductPeriodRuntimeList

          public void setProductPeriodRuntimeList(ru.bitel.oss.systems.inventory.product.server.ProductPeriodRuntimeList productPeriodRuntimeList)

    - #### getServiceRuntimeList

          public ServiceRuntimeList getServiceRuntimeList()

      Specified by:
        `getServiceRuntimeList` in class `TvAccountRuntime`

    - #### setServiceRuntimeList

          public void setServiceRuntimeList(ServiceRuntimeList serviceRuntimeList)

    - #### lock

          public final void lock()

      Specified by:
        `lock` in class `TvAccountRuntime`

    - #### tryLock

          public final boolean tryLock()

      Specified by:
        `tryLock` in class `TvAccountRuntime`

    - #### tryLock

          public final boolean tryLock(long timeout,
                                       java.util.concurrent.TimeUnit unit)
                                throws java.lang.InterruptedException

      Specified by:
        `tryLock` in class `TvAccountRuntime`
      Throws:
        `java.lang.InterruptedException`

    - #### unlock

          public final void unlock()

      Specified by:
        `unlock` in class `TvAccountRuntime`

    - #### isHeldByCurrentThread

          public final boolean isHeldByCurrentThread()

      Specified by:
        `isHeldByCurrentThread` in class `TvAccountRuntime`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `TvAccountRuntime`

    - #### processOptionsModified

          public boolean processOptionsModified(ru.bitel.bgbilling.kernel.container.managed.ServerContext context,
                                                int moduleId,
                                                long now,
                                                java.util.Set<java.lang.Integer> tvOptions)
                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`